npm 一键安装 package.json里的依赖时有2种情况:

1.package.json不存在时

运行命令: npm init可自动创建package.json文件
2.package.json存在时

运行命令:npm install 或者 npm install –save-dev会自动将package.json中的模块安装到node-modules文件夹下。

 

package有两种依赖:

1. dependencies —— 运行依赖,依赖的项该是正常运行该包时所需要的依赖项

2. devDependencies —— 开发依赖,开发的时候需要的依赖项,像一些进行单元测试之类的包。

 

安装依赖命令:

npm一键安装package.json里的所有依赖文件

npm install

 

只安装package.json里的dependencies(运行依赖)文件

npm install --dependencies

 

只安装package.json里的devDependencies(开发依赖)文件

npm install --devDependencies

 

更新依赖包到最新版本

安装:

npm install -g npm-check-updates

 

使用:

检查package.json中依赖包的最新版本:

ncu

 

更新依赖包到最新版本:

ncu -u

 

更新全部依赖包到最新版本(包括当前指定版本范围满足最新版本号的,比如^4.2.0 -> ^4.3.0):

ncu -a

https://www.cnblogs.com/sese/p/10119511.html